Bitcoin Difficulty Estimator API
Live updating Bitcoin difficulty estimator and visualization of the current mining epoch
Live Bitcoin Difficulty Estimation
Real-time estimate of the next Bitcoin difficulty adjustment, updates every second
Endpoint
curl -H "Authorization: Bearer YOUR_TOKEN" "https://newhedge.io/api/v2/metrics/difficulty-estimator/difficulty_estimator"
Replace `YOUR_TOKEN` with your API token.
Example response
200
Fictional example
{
"Latest Block": "850000 (5 minutes ago)",
"Current Pace": "101%",
"Previous Difficulty": 88000000000000,
"Current Difficulty": 90000000000000,
"Next Difficulty": 90900000000000,
"Next Difficulty Change": "1.0%",
"Next Difficulty Estimate": "between 90800000000000 and 91000000000000",
"Next Difficulty Change Estimate": "between 0.9% and 1.1%",
"Previous Retarget": "December 20, 2024",
"Next Retarget (earliest)": "January 2, 2025",
"Next Retarget (latest)": "January 3, 2025",
"Projected Epoch Length": "between 13 and 14 days"
}